## WebKitDOMHTMLAppletElement

WebKitDOMHTMLAppletElement

## Functions

gchar * | webkit_dom_html_applet_element_get_align ()
void | webkit_dom_html_applet_element_set_align ()
gchar * | webkit_dom_html_applet_element_get_alt ()
void | webkit_dom_html_applet_element_set_alt ()
gchar * | webkit_dom_html_applet_element_get_archive ()
void | webkit_dom_html_applet_element_set_archive ()
gchar * | webkit_dom_html_applet_element_get_code ()
void | webkit_dom_html_applet_element_set_code ()
gchar * | webkit_dom_html_applet_element_get_code_base ()
void | webkit_dom_html_applet_element_set_code_base ()
gchar * | webkit_dom_html_applet_element_get_height ()
void | webkit_dom_html_applet_element_set_height ()
glong | webkit_dom_html_applet_element_get_hspace ()
void | webkit_dom_html_applet_element_set_hspace ()
gchar * | webkit_dom_html_applet_element_get_name ()
void | webkit_dom_html_applet_element_set_name ()
gchar * | webkit_dom_html_applet_element_get_object ()
void | webkit_dom_html_applet_element_set_object ()
glong | webkit_dom_html_applet_element_get_vspace ()
void | webkit_dom_html_applet_element_set_vspace ()
gchar * | webkit_dom_html_applet_element_get_width ()
void | webkit_dom_html_applet_element_set_width ()

## Properties

gchar * | align | Read / Write
gchar * | alt | Read / Write
gchar * | archive | Read / Write
gchar * | code | Read / Write
gchar * | code-base | Read / Write
gchar * | height | Read / Write
glong | hspace | Read / Write
gchar * | name | Read / Write
gchar * | object | Read / Write
glong | vspace | Read / Write
gchar * | width | Read / Write

## Types and Values

| WebKitDOMHTMLAppletElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLAppletElement

## Implemented Interfaces

WebKitDOMHTMLAppletElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_applet_element_get_align ()

    gchar *
    webkit_dom_html_applet_element_get_align
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_align ()

    void
    webkit_dom_html_applet_element_set_align
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_alt ()

    gchar *
    webkit_dom_html_applet_element_get_alt
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_alt ()

    void
    webkit_dom_html_applet_element_set_alt
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_archive ()

    gchar *
    webkit_dom_html_applet_element_get_archive
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_archive ()

    void
    webkit_dom_html_applet_element_set_archive
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_code ()

    gchar *
    webkit_dom_html_applet_element_get_code
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_code ()

    void
    webkit_dom_html_applet_element_set_code
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_code_base ()

    gchar *
    webkit_dom_html_applet_element_get_code_base
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_code_base ()

    void
    webkit_dom_html_applet_element_set_code_base
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_height ()

    gchar *
    webkit_dom_html_applet_element_get_height
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_height ()

    void
    webkit_dom_html_applet_element_set_height
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_hspace ()

    glong
    webkit_dom_html_applet_element_get_hspace
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A glong

### webkit_dom_html_applet_element_set_hspace ()

    void
    webkit_dom_html_applet_element_set_hspace
                                   (WebKitDOMHTMLAppletElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A glong |

### webkit_dom_html_applet_element_get_name ()

    gchar *
    webkit_dom_html_applet_element_get_name
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_name ()

    void
    webkit_dom_html_applet_element_set_name
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_object ()

    gchar *
    webkit_dom_html_applet_element_get_object
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_object ()

    void
    webkit_dom_html_applet_element_set_object
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

### webkit_dom_html_applet_element_get_vspace ()

    glong
    webkit_dom_html_applet_element_get_vspace
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A glong

### webkit_dom_html_applet_element_set_vspace ()

    void
    webkit_dom_html_applet_element_set_vspace
                                   (WebKitDOMHTMLAppletElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A glong |

### webkit_dom_html_applet_element_get_width ()

    gchar *
    webkit_dom_html_applet_element_get_width
                                   (WebKitDOMHTMLAppletElement *self);

#### Parameters

self | A WebKitDOMHTMLAppletElement |

#### Returns

A gchar

### webkit_dom_html_applet_element_set_width ()

    void
    webkit_dom_html_applet_element_set_width
                                   (WebKitDOMHTMLAppletElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAppletElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLAppletElement

    typedef struct _WebKitDOMHTMLAppletElement WebKitDOMHTMLAppletElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLAppletElement:align.

Flags: Read / Write

Default value: ""

### The `“alt”` property

      “alt”                      gchar *

read-write gchar* HTMLAppletElement:alt.

Flags: Read / Write

Default value: ""

### The `“archive”` property

      “archive”                  gchar *

read-write gchar* HTMLAppletElement:archive.

Flags: Read / Write

Default value: ""

### The `“code”` property

      “code”                     gchar *

read-write gchar* HTMLAppletElement:code.

Flags: Read / Write

Default value: ""

### The `“code-base”` property

      “code-base”                gchar *

read-write gchar* HTMLAppletElement:code-base.

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   gchar *

read-write gchar* HTMLAppletElement:height.

Flags: Read / Write

Default value: ""

### The `“hspace”` property

      “hspace”                   glong

read-write glong HTMLAppletElement:hspace.

Flags: Read / Write

Default value: 0

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLAppletElement:name.

Flags: Read / Write

Default value: ""

### The `“object”` property

      “object”                   gchar *

read-write gchar* HTMLAppletElement:object.

Flags: Read / Write

Default value: ""

### The `“vspace”` property

      “vspace”                   glong

read-write glong HTMLAppletElement:vspace.

Flags: Read / Write

Default value: 0

### The `“width”` property

      “width”                    gchar *

read-write gchar* HTMLAppletElement:width.

Flags: Read / Write

Default value: ""